package com.rjconsultores.ventaboletos.entidad;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Entity
@Table(name = "AUDIT_SERVICE")
public class AuditService implements Serializable{

	private static final long serialVersionUID = 1L;

	@Id
	@Column(name = "AUDITSERVICE_ID")
	private Long auditServiceId;

	@Column(name = "NAMESERVICE")
	private String nameService;
	
	@JoinColumn(name = "FUNCIONSISTEMA_ID", referencedColumnName = "FUNCIONSISTEMA_ID")
	@ManyToOne
	private FuncionSistema funcionSistema;

	@JoinColumn(name = "AUDITMODULE_ID", referencedColumnName = "AUDITMODULE_ID")
	@ManyToOne
	private AuditModule module;

	public Long getAuditServiceId() {
		return auditServiceId;
	}

	public void setAuditServiceId(Long auditServiceId) {
		this.auditServiceId = auditServiceId;
	}

	public String getNameService() {
		return nameService;
	}

	public void setNameService(String nameService) {
		this.nameService = nameService;
	}

	public AuditModule getModule() {
		return module;
	}

	public void setModule(AuditModule module) {
		this.module = module;
	}
	
	public FuncionSistema getFuncionSistema() {
		return funcionSistema;
	}
	
	public void setFuncionSistema(FuncionSistema funcionSistema) {
		this.funcionSistema = funcionSistema;
	}
}
